jQuery(document).ready(function($) {
								
	// Вертикальные слайдеры
	// --------------------------------------------------------------------------
	var pttmTwirlSliders = jQuery('.pttm-slider-twirl');
	
	pttmTwirlSliders.each( function(){
								   
		var slidesWrap 	= jQuery(this).find('.pttm-slides');
		var nextLink 	= jQuery(this).find('.pttm-slider-next');
		var prevLink 	= jQuery(this).find('.pttm-slider-prev');
		
		var slideOuterWidth = slidesWrap.children().outerWidth(true);
		var sliderWidth = slidesWrap.parent().width();
		
		var slidesNow = slidesWrap.children().length;
		// Расчет размеров
		var slidesInView = Math.floor( sliderWidth / slideOuterWidth );
		// Проверка количества слайдов
		if( ( slidesNow - slidesInView ) <= 0 ){ slidesInView = slidesNow; prevLink.remove(); nextLink.remove();}
		else{ prevLink.attr('name','prev'); nextLink.attr('name','next'); }
		var slideNewWidth = Math.floor( sliderWidth / slidesInView ) + 'px';
		jQuery(this).find('ul.pttm-slides > li').css({'width':slideNewWidth, 'padding':'0'});
 
		
		var newLeftPos = slidesWrap.position().left - slidesWrap.children().outerWidth(true);


		jQuery(this).find('.pttm-slider-nav').click({
													 a:slidesWrap,
													 b:nextLink,
													 c:prevLink,
													 d:newLeftPos
													 },
													 function(eventObject){
																		  
			var slidesWrap = eventObject.data.a;
			var nextLink = eventObject.data.b;
			var prevLink = eventObject.data.c;
			var newLeftPos = eventObject.data.d;
			
			switch (jQuery(this).attr('name')) {
				case 'prev':
				prevLink.removeAttr('name');
			
				slidesWrap
					.css({'left': newLeftPos})
					.find('li:last')
					.prependTo(slidesWrap)
					.parent()
					.animate({left: 0}, 500);

				setTimeout(function(){ prevLink.attr('name','prev') }, 600);
				
				break;
				case 'next':
				nextLink.removeAttr('name');
				
				slidesWrap.animate({left: newLeftPos}, 500, function(){
					slidesWrap
						.find('li:first')
						.appendTo(slidesWrap)
						.parent()
						.css({'left': 0});
				});
					
				setTimeout(function(){nextLink.attr('name','next') }, 600);
				break;
				default:
			}
		});
	});	
	
	
	// Горизонтальные слайдеры
	// --------------------------------------------------------------------------
	var pttmPlumbSliders = jQuery('.pttm-slider-plumb');
		
	pttmPlumbSliders.each(function(){
		
		// Навешиваем номера слайдов - !!! Сделать в серверной части
//		var count = 1;
//		jQuery(this).find('ul.pttm-plumb-slides > li').each(function(){
//			jQuery(this).addClass('slide-' + count);												  
//			count++;										  
//		});
				
		
		// Объекты слайдера
		var slidesWrap	= jQuery(this).find('.pttm-slides');
		var nextLink 	= jQuery(this).find('.pttm-slider-next');
		var prevLink 	= jQuery(this).find('.pttm-slider-prev');
		
		var slideOuterHeight = slidesWrap.children().outerHeight(true); // Размер поля показа слайдов
		var sliderHeight = slidesWrap.parent().height(); // Высота слайда
		var slidesNow = slidesWrap.children().length; // Сколько всего слайдов

		// Расчет размеров
		
		// Сколько слайдов помещаеися в окно целиком
		var slidesInView = Math.floor( sliderHeight / slideOuterHeight );
		// Проверка количества слайдов = Если меньше или равно области показа - удаляем ручки
		if( ( slidesNow - slidesInView ) <= 0 ){ slidesInView = slidesNow; prevLink.remove(); nextLink.remove();}
		else{ prevLink.attr('name','prev'); nextLink.attr('name','next'); }

		var slideNewHeight = Math.ceil(sliderHeight / slidesInView ) + 'px';
		
		jQuery(this).find('ul.pttm-slides > li').css({'height':slideNewHeight, 'padding':'0'});
		
		var newTopPos = slidesWrap.position().left - slidesWrap.children().outerHeight(true);

		// Управление для ручек
		jQuery(this).find('.pttm-slider-nav').click({
														 a:slidesWrap,
														 b:nextLink,
														 c:prevLink,
														 d:newTopPos
														 },
														 function(eventObject){
																		  
			var slidesWrap = eventObject.data.a;
			var nextLink = eventObject.data.b;
			var prevLink = eventObject.data.c;
			var newLeftPos = eventObject.data.d;
			
			//alert(slidesWrap+' '+nextLink+' '+prevLink+' '+newLeftPos);
			
			switch (jQuery(this).attr('name')) {
				case 'prev':
				prevLink.removeAttr('name');
			
				slidesWrap
					.css({'top': newLeftPos})
					.find('li:last')
					.prependTo(slidesWrap)
					.parent()
					.animate({'top': 0}, 500);

				setTimeout(function(){ prevLink.attr('name','prev') }, 600);
				
				break;
				case 'next':
				nextLink.removeAttr('name');
				
				slidesWrap.animate({'top': newLeftPos}, 500, function(){
					slidesWrap
						.find('li:first')
						.appendTo(slidesWrap)
						.parent()
						.css({'top': 0});
				});
					
				setTimeout(function(){nextLink.attr('name','next') }, 600);
				break;
				default:
			}
		});
	});	



});